#include <RH_ASK.h>
#include <SPI.h>

RH_ASK driver;
const int buttonPin = 2;
int buttonState = 0;

void setup()
{
    pinMode(buttonPin, INPUT);
    
    Serial.begin(9600);   // Debugging only
    if (!driver.init())
         Serial.println("init failed"); 
}

void loop()
{
    buttonState = digitalRead(buttonPin);
Serial.println(buttonState);
    if (buttonState == HIGH) {
      Serial.println("Button Pressed"); 
      const char *msg = "toggle_led";
      driver.send((uint8_t *)msg, strlen(msg));
      driver.waitPacketSent();
    } 
    
    delay(100);
}
